---
title: Get a user authorized client
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > User Authorized Clients
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get a user authorized client{% #get-a-user-authorized-client %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                 |
| ----------------- | -------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/user_authorized_clients/{user_authorized_client_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/user_authorized_clients/{user_authorized_client_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/user_authorized_clients/{user_authorized_client_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/user_authorized_clients/{user_authorized_client_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/user_authorized_clients/{user_authorized_client_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/user_authorized_clients/{user_authorized_client_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/user_authorized_clients/{user_authorized_client_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/user_authorized_clients/{user_authorized_client_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/user_authorized_clients/{user_authorized_client_id} |

### Overview

Get a single OAuth2 client authorization for the current user.

OAuth apps require the `built_in_features` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#user-authorized-clients) to access this endpoint.



### Arguments

#### Path Parameters

| Name                                        | Type   | Description                           |
| ------------------------------------------- | ------ | ------------------------------------- |
| user_authorized_client_id [*required*] | string | The ID of the user authorized client. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single user authorized client.

| Parent field  | Field                            | Type      | Description                                                                                   |
| ------------- | -------------------------------- | --------- | --------------------------------------------------------------------------------------------- |
|               | data [*required*]           | object    | Data object representing a user authorized client.                                            |
| data          | attributes [*required*]     | object    | Attributes of a user authorized client.                                                       |
| attributes    | created_at [*required*]     | date-time | The date and time this authorization was created.                                             |
| attributes    | disabled [*required*]       | boolean   | Whether the user has disabled this authorization.                                             |
| attributes    | last_exercised [*required*] | date-time | The date and time this authorization was last exercised.                                      |
| attributes    | modified_at [*required*]    | date-time | The date and time this authorization was last modified.                                       |
| attributes    | org_disabled [*required*]   | boolean   | Whether the organization has disabled this authorization.                                     |
| data          | id [*required*]             | string    | The unique identifier of the user authorized client.                                          |
| data          | relationships [*required*]  | object    | Relationships for a user authorized client.                                                   |
| relationships | oauth2_client [*required*]  | object    | Relationship to the OAuth2 client that was authorized.                                        |
| oauth2_client | data [*required*]           | object    | Data identifying the OAuth2 client that was authorized.                                       |
| data          | id [*required*]             | string    | The ID of the OAuth2 client.                                                                  |
| data          | type [*required*]           | enum      | OAuth2 client resource type. Allowed enum values: `oauth2_clients`                            |
| relationships | scopes [*required*]         | object    | Relationship to the scopes granted to the OAuth2 client.                                      |
| scopes        | data [*required*]           | [object]  | List of scope relationship data objects.                                                      |
| data          | id [*required*]             | string    | The identifier of the scope.                                                                  |
| data          | type [*required*]           | enum      | Scope resource type. Allowed enum values: `scopes`                                            |
| relationships | user [*required*]           | object    | Relationship to the user who granted this authorization.                                      |
| user          | data [*required*]           | object    | Data identifying the user who granted this authorization.                                     |
| data          | id [*required*]             | string    | The ID of the user.                                                                           |
| data          | type [*required*]           | enum      | User resource type. Allowed enum values: `users`                                              |
| data          | type [*required*]           | enum      | The resource type for user authorized clients. Allowed enum values: `user_authorized_clients` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created_at": "2024-01-10T08:00:00+00:00",
      "disabled": false,
      "last_exercised": "2024-01-15T10:30:00+00:00",
      "modified_at": "2024-01-10T08:00:00+00:00",
      "org_disabled": false
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "relationships": {
      "oauth2_client": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000010",
          "type": "oauth2_clients"
        }
      },
      "scopes": {
        "data": [
          {
            "id": "example_scope",
            "type": "scopes"
          }
        ]
      },
      "user": {
        "data": {
          "id": "00000000-0000-9999-0000-000000000001",
          "type": "users"
        }
      }
    },
    "type": "user_authorized_clients"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export user_authorized_client_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/user_authorized_clients/${user_authorized_client_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get a user authorized client returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.user_authorized_clients_api import UserAuthorizedClientsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = UserAuthorizedClientsApi(api_client)
    response = api_instance.get_user_authorized_client(
        user_authorized_client_id="00000000-0000-0000-0000-000000000001",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get a user authorized client returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::UserAuthorizedClientsAPI.new
p api_instance.get_user_authorized_client("00000000-0000-0000-0000-000000000001")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get a user authorized client returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewUserAuthorizedClientsApi(apiClient)
	resp, r, err := api.GetUserAuthorizedClient(ctx, "00000000-0000-0000-0000-000000000001")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `UserAuthorizedClientsApi.GetUserAuthorizedClient`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `UserAuthorizedClientsApi.GetUserAuthorizedClient`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get a user authorized client returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.UserAuthorizedClientsApi;
import com.datadog.api.client.v2.model.UserAuthorizedClientResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    UserAuthorizedClientsApi apiInstance = new UserAuthorizedClientsApi(defaultClient);

    try {
      UserAuthorizedClientResponse result =
          apiInstance.getUserAuthorizedClient("00000000-0000-0000-0000-000000000001");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling UserAuthorizedClientsApi#getUserAuthorizedClient");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Get a user authorized client returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_user_authorized_clients::UserAuthorizedClientsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = UserAuthorizedClientsAPI::with_config(configuration);
    let resp = api
        .get_user_authorized_client("00000000-0000-0000-0000-000000000001".to_string())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get a user authorized client returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.UserAuthorizedClientsApi(configuration);

const params: v2.UserAuthorizedClientsApiGetUserAuthorizedClientRequest = {
  userAuthorizedClientId: "00000000-0000-0000-0000-000000000001",
};

apiInstance
  .getUserAuthorizedClient(params)
  .then((data: v2.UserAuthorizedClientResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
